---
updatedAt: 2025-09-16T11:17:47.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Delete a worker group from an account or organization

Use this endpoint to delete a worker group at the account or organization level.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/worker-groups/{worker_group_id}": {
      "delete": {
        "summary": "Delete a worker group from an account or organization",
        "description": "Use this endpoint to delete a worker group at the account or organization level.",
        "operationId": "delete-a-worker-group-from-an-account-or-organization",
        "parameters": [
          {
            "name": "worker_group_id",
            "in": "path",
            "description": "The worker group ID for the worker group that you want to delete",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "org",
            "in": "path",
            "description": "The name of the organization from which you want to delete the worker group",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "204",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "Worker group deleted"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/worker-groups/5\" \\\n-X DELETE \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```